{% extends "base.html" %} {% load static %} {% block internal_css %}
<link rel="stylesheet" href="{% static 'css/filepaths.css' %}"> {% endblock %} {% block external_js %}
    <script src="https://cdnjs.cloudflare.com/ajax/libs/clipboard.js/2.0.0/clipboard.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/js-cookie@2/src/js.cookie.min.js"></script>
{% endblock %} {% block internal_js %}
<script src="{% static 'js/filepaths.min.js' %}"></script>
{% endblock %} {% block content %}
<h3>Filepaths to uploaded and not annotated sequencing files</h3>
{% regroup dirs by lab as paths %}
<div id="accordion">
  {% for path in paths %}
  <div class="card">
    <div class="card-header overheader d-flex d-row justify-content-start align-items-center collapsed" id="header-{{ forloop.counter }}" data-target="#collapse-{{ forloop.counter }}" data-toggle="collapse">
      <i class="fas" aria-hidden="true"></i>
      <h4 class="header">{{ path.grouper }}</h4>
    </div>
    <div id="collapse-{{ forloop.counter }}" class="collapse">

      <ul class="list-group">
        {% for item in path.list %}
        <li class="list-group-item d-flex justify-content-between">
          <span id="path_{{forloop.counter}}">{{item.path}}</span>
          <button class="btn btn-outline-secondary btn-copy" title="copied" data-toggle="tooltip" data-placement="bottom" data-clipboard-target="#path_{{forloop.counter}}">
                <i class="fas fa-paste"  alt="Copy to clipboard"></i>
            </button>
        </li>
        {% endfor %}
      </ul>
    </div>
  </div>
</div>
{% endfor %}
{% endblock %}
